### Function

# Gio unix_mount_guess_name

since: 2.0

#### Declaration

    char*
    g_unix_mount_guess_name (
      GUnixMountEntry* mount_entry
    )

#### Description

Guesses the name of a Unix mount. The result is a translated string.

Available since: 2.0

#### Parameters

`mount_entry`

  Type: `GUnixMountEntry`

  A `GUnixMountEntry`.

  The data is owned by the caller of the function.

#### Return value

Type: `char*`

A newly allocated string that must be freed with `g_free()`

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.